<div
  class="product"
  *ngFor="let product of products"
  [ngClass]="{ sale: product.discount }"
>
  <img src="assets/images/{{ product.image }}.jpg" alt="" width="100%" />
  <button [routerLink]="['/edit-product', product.id]" type="button">
    EDIT
  </button>
  <div>
    <h4>{{ product.name | truncate: 15 }}</h4>
    <strong>
      <span>{{
        product.discount
          ? (getFullPrice(product.discount, product.price) | number: "0.2-2")
          : ""
      }}</span>
      {{ product.price.toFixed(2) }}
    </strong>
    <button type="button">ADD TO CARD</button>
  </div>
</div>
